# Method: projects.locations.sacRealms.list

Lists SACRealms in a given project.

### HTTP request

`GET https://networksecurity.googleapis.com/v1beta1/{parent=projects/*/locations/*}/sacRealms`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, in the form `projects/{project}/locations/global`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. |
| `pageToken` | `string` Optional. A token identifying a page of results the server should return. |
| `filter` | `string` Optional. An expression that filters the list of results. |
| `orderBy` | `string` Optional. Sort the results by a certain order. |

### Request body

The request body must be empty.

### Response body

Response for `sacRealms.list` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "sacRealms": [ { object (`https://docs.cloud.google.com/secure-access-connect/docs/reference/network-security/rest/v1beta1/projects.locations.sacRealms#SACRealm`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `sacRealms[]` | ``object (`https://docs.cloud.google.com/secure-access-connect/docs/reference/network-security/rest/v1beta1/projects.locations.sacRealms#SACRealm`)`` The list of SACRealms. |
| `nextPageToken` | `string` A token identifying a page of results the server should return. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `networksecurity.sacRealms.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).